backuptool: Add static version for backuptool to work
- So far it was using Bliss version and hence during version bumps it breaks backup tool and always updating version is not cool. Hence just pass a static version to it so that it works
as expected.
Signed-off-by: Jackeagle <jackeagle102@gmail.com>
Change-Id: If358a71fe8ef45f3180ed1e5e639c5bd27114c54
diff --git a/config/versions.mk b/config/versions.mk
index 8ed6cc8..7ebe7db 100644
--- a/config/versions.mk
+++ b/config/versions.mk
@@ -4,6 +4,9 @@
BLISS_VERSION_MINOR = 0
# BLISS_VERSION_MAINTENANCE = Stable
+# Bliss Android version
+BLISS_VERSION_STATIC = 11.0
+
#ifdef BLISS_VERSION_MAINTENANCE
# VERSION := $(BLISS_VERSION_MAJOR).$(BLISS_VERSION_MINOR)-$(BLISS_VERSION_MAINTENANCE)
#else
diff --git a/prebuilt/common/bin/backuptool.sh b/prebuilt/common/bin/backuptool.sh
index 29f8818..a9be514 100755
--- a/prebuilt/common/bin/backuptool.sh
+++ b/prebuilt/common/bin/backuptool.sh
@@ -4,9 +4,9 @@
#
export C=/tmp/backupdir
+export V=11.0
export SYSDEV="$(readlink -nf "$2")"
export SYSFS="$3"
-export V=18.0
# Scripts in /system/addon.d expect to find backuptool.functions in /tmp
cp -f /tmp/install/bin/backuptool.functions /tmp
@@ -36,7 +36,7 @@
echo "Backup/restore is not possible. Partition is probably empty"
return 1
fi
-if ! grep -q "^ro.bliss.version=$V.*" $S/build.prop; then
+if ! grep -q "^ro.bliss.static.version=$V.*" $S/build.prop; then
echo "Backup/restore is not possible. Incompatible ROM version: $V"
return 2
fi
diff --git a/prebuilt/common/bin/backuptool_ab.sh b/prebuilt/common/bin/backuptool_ab.sh
index 3a47e4f..4867e4e 100755
--- a/prebuilt/common/bin/backuptool_ab.sh
+++ b/prebuilt/common/bin/backuptool_ab.sh
@@ -5,7 +5,7 @@
export S=/system
export C=/postinstall/tmp/backupdir
-export V=18.0
+export V=11.0
export ADDOND_VERSION=2
@@ -50,7 +50,8 @@
echo "Backup/restore is not possible. Partition is probably empty"
return 1
fi
-if ! grep -q "^ro.bliss.version=$V.*" /system/build.prop; then
+
+if ! grep -q "^ro.bliss.static.version=$V.*" /system/build.prop; then
echo "Backup/restore is not possible. Incompatible ROM version: $V"
return 2
fi